# binaryninja.enums.FlagRole

class `binaryninja.enums.``FlagRole`
  `__init__`()

    x.__init__(...) initializes x; see help(type(x)) for signature

  Attributes

  `CarryFlagRole` |
  `EvenParityFlagRole` |
  `HalfCarryFlagRole` |
  `NegativeSignFlagRole` |
  `OddParityFlagRole` |
  `OrderedFlagRole` |
  `OverflowFlagRole` |
  `PositiveSignFlagRole` |
  `SpecialFlagRole` |
  `UnorderedFlagRole` |
  `ZeroFlagRole` |